#ifndef __BIOUPIC_H
#define __BIOUPIC_H


#ifdef BIOUPIC_EXPORTS
	#define BIOUPIC __declspec( dllexport )
#else
	#ifdef BIOUPIC_IMPORTS
		#define BIOUPIC  __declspec( dllimport )
	#else
		#define BIOUPIC
	#endif
#endif

/*
Version of BioUPI


version	1.01.01, realise 04.08.2008
	- changed of CRC32 calculation for template
	- fix mistake of template creation (damage template data by header)
	- fix mistake temoale length calculation in GetLengthTemplate

version	1.01.02, realise 18.08.2008
	- added a new function GetQualityTemplate
	- return value for function with template/fpcode 
	   -3 - crc32 is not correct, template or fpcode is damaged
	   -4 - it's not correct a number of points. It's not template version 1
	   -5 - it's not correct a version of template/fpcode. 
*/


#define	BMF		1
#define	THOMSON	2
#define	MBF		3
#define	TST		4



#ifdef __cplusplus
extern "C" 
{
#endif

short 	BIOUPIC	InitBioUPI(short _type);

short 	BIOUPIC	CreateTemplate(unsigned char * img, int _W, int _H, unsigned char * ptmp, short * status);
short	BIOUPIC	Verify(unsigned char * img, int _W, int _H, unsigned char * ptmp);
short 	BIOUPIC	IdentifyInit(unsigned char * img, int _W, int _H);
short 	BIOUPIC	IdentifyFind(unsigned char * ptmp);
short 	BIOUPIC	GetLengthTemplate(unsigned char * ptmp);

short   BIOUPIC	CreateFPCode(unsigned char * img, int _W, int _H, unsigned char * pfpc);
short   BIOUPIC	VerifyFPCode(unsigned char * pfpc, int _W, int _H, unsigned char * ptmp);
short	BIOUPIC	GetQualityTemplate(unsigned char * ptmp);

unsigned char  BIOUPIC * VersionBioUPI(void);


#ifdef __cplusplus
}
#endif



#endif 